<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Edible_Base/Bottle_Base/CanisterGasoline.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d8d/_canister_gasoline_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CanisterGasoline.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d8d/_canister_gasoline_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html">    1</a></span><span class="keyword">class </span>CanisterGasoline <span class="keyword">extends</span> <a class="code hl_class" href="../../da/d60/class_bottle___base.html">Bottle_Base</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#ab5b3840212c357256af6a62ea1480c39">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#ab5b3840212c357256af6a62ea1480c39">CanisterGasoline</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    }</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#abb41b224d87d5b8857bd314e27b2c0d4">    7</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#abb41b224d87d5b8857bd314e27b2c0d4">~CanisterGasoline</a>()</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    }</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#acda7f9e21ad3cd62a899ad494ae24fd8">   11</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#acda7f9e21ad3cd62a899ad494ae24fd8">IsContainer</a>()</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#aeca58e5fa8d595e71918cdc0c25b6eba">   16</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#aeca58e5fa8d595e71918cdc0c25b6eba">GetPouringSoundset</a>()</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;emptyVessle_CanisterGasoline_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#a2ca28c12439291feabcaff98478b5bc2">   21</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#a2ca28c12439291feabcaff98478b5bc2">GetEmptyingLoopSoundsetHard</a>()</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;pour_HardGround_GasolineCanister_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#abfa1ef8d35d8f7a29ad6abe633e644af">   26</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#abfa1ef8d35d8f7a29ad6abe633e644af">GetEmptyingLoopSoundsetSoft</a>()</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;pour_SoftGround_GasolineCanister_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#a247e05017fac7d54bb8935e087713395">   31</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#a247e05017fac7d54bb8935e087713395">GetEmptyingLoopSoundsetWater</a>()</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;pour_Water_GasolineCanister_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#adc99ec254181404e26e577866ec9d9f6">   36</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#adc99ec254181404e26e577866ec9d9f6">GetEmptyingEndSoundsetHard</a>()</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;pour_End_HardGround_GasolineCanister_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#a4c692656fcc136633cff7c39e321bc30">   41</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#a4c692656fcc136633cff7c39e321bc30">GetEmptyingEndSoundsetSoft</a>()</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;pour_End_SoftGround_GasolineCanister_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#a0991b6f0d1449cf87efa7081feb67ad0">   46</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#a0991b6f0d1449cf87efa7081feb67ad0">GetEmptyingEndSoundsetWater</a>()</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;pour_End_Water_GasolineCanister_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#ac54c0877815006abffd6d43f5b02f875">   51</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#ac54c0877815006abffd6d43f5b02f875">GetLiquidThroughputCoef</a>()</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../da/dc5/group___liquid_throughputs.html#ga41d7f73bd733b073db1e677f8aeb7af3">LIQUID_THROUGHPUT_GASOLINECANISTER</a>;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#a5d69bc19a43d86d25a359505a72adbaa">   56</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#a5d69bc19a43d86d25a359505a72adbaa">CanPutInCargo</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">if</span>( !super.CanPutInCargo(parent) ) {<span class="keywordflow">return</span> <span class="keyword">false</span>;}  </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">if</span> ( parent &amp;&amp; (parent.IsKindOf(<span class="stringliteral">&quot;CanisterGasoline&quot;</span>))<span class="comment">/* &amp;&amp; !(parent.IsKindOf(&quot;Container_Base&quot;))*/</span>)</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#af24e4bbb4888c7c564b0cbb649d66f93">   67</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#af24e4bbb4888c7c564b0cbb649d66f93">IsOpen</a>()</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>}</div>
<div class="ttc" id="aclass_bottle___base_html"><div class="ttname"><a href="../../da/d60/class_bottle___base.html">Bottle_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8d/_canister_gasoline_8c_source.html#l00001">CanisterGasoline.c:2</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_a0991b6f0d1449cf87efa7081feb67ad0"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#a0991b6f0d1449cf87efa7081feb67ad0">Bottle_Base::GetEmptyingEndSoundsetWater</a></div><div class="ttdeci">override string GetEmptyingEndSoundsetWater()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8d/_canister_gasoline_8c_source.html#l00046">CanisterGasoline.c:46</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_a247e05017fac7d54bb8935e087713395"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#a247e05017fac7d54bb8935e087713395">Bottle_Base::GetEmptyingLoopSoundsetWater</a></div><div class="ttdeci">override string GetEmptyingLoopSoundsetWater()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8d/_canister_gasoline_8c_source.html#l00031">CanisterGasoline.c:31</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_a2ca28c12439291feabcaff98478b5bc2"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#a2ca28c12439291feabcaff98478b5bc2">Bottle_Base::GetEmptyingLoopSoundsetHard</a></div><div class="ttdeci">override string GetEmptyingLoopSoundsetHard()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8d/_canister_gasoline_8c_source.html#l00021">CanisterGasoline.c:21</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_a4c692656fcc136633cff7c39e321bc30"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#a4c692656fcc136633cff7c39e321bc30">Bottle_Base::GetEmptyingEndSoundsetSoft</a></div><div class="ttdeci">override string GetEmptyingEndSoundsetSoft()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8d/_canister_gasoline_8c_source.html#l00041">CanisterGasoline.c:41</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_a5d69bc19a43d86d25a359505a72adbaa"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#a5d69bc19a43d86d25a359505a72adbaa">Bottle_Base::CanPutInCargo</a></div><div class="ttdeci">override bool CanPutInCargo(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8d/_canister_gasoline_8c_source.html#l00056">CanisterGasoline.c:56</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_ab5b3840212c357256af6a62ea1480c39"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#ab5b3840212c357256af6a62ea1480c39">Bottle_Base::CanisterGasoline</a></div><div class="ttdeci">void CanisterGasoline()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8d/_canister_gasoline_8c_source.html#l00003">CanisterGasoline.c:3</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_abb41b224d87d5b8857bd314e27b2c0d4"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#abb41b224d87d5b8857bd314e27b2c0d4">Bottle_Base::~CanisterGasoline</a></div><div class="ttdeci">void ~CanisterGasoline()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8d/_canister_gasoline_8c_source.html#l00007">CanisterGasoline.c:7</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_abfa1ef8d35d8f7a29ad6abe633e644af"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#abfa1ef8d35d8f7a29ad6abe633e644af">Bottle_Base::GetEmptyingLoopSoundsetSoft</a></div><div class="ttdeci">override string GetEmptyingLoopSoundsetSoft()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8d/_canister_gasoline_8c_source.html#l00026">CanisterGasoline.c:26</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_ac54c0877815006abffd6d43f5b02f875"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#ac54c0877815006abffd6d43f5b02f875">Bottle_Base::GetLiquidThroughputCoef</a></div><div class="ttdeci">override float GetLiquidThroughputCoef()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8d/_canister_gasoline_8c_source.html#l00051">CanisterGasoline.c:51</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_acda7f9e21ad3cd62a899ad494ae24fd8"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#acda7f9e21ad3cd62a899ad494ae24fd8">Bottle_Base::IsContainer</a></div><div class="ttdeci">override bool IsContainer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8d/_canister_gasoline_8c_source.html#l00011">CanisterGasoline.c:11</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_adc99ec254181404e26e577866ec9d9f6"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#adc99ec254181404e26e577866ec9d9f6">Bottle_Base::GetEmptyingEndSoundsetHard</a></div><div class="ttdeci">override string GetEmptyingEndSoundsetHard()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8d/_canister_gasoline_8c_source.html#l00036">CanisterGasoline.c:36</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_aeca58e5fa8d595e71918cdc0c25b6eba"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#aeca58e5fa8d595e71918cdc0c25b6eba">Bottle_Base::GetPouringSoundset</a></div><div class="ttdeci">override string GetPouringSoundset()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8d/_canister_gasoline_8c_source.html#l00016">CanisterGasoline.c:16</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_af24e4bbb4888c7c564b0cbb649d66f93"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#af24e4bbb4888c7c564b0cbb649d66f93">Bottle_Base::IsOpen</a></div><div class="ttdeci">override bool IsOpen()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8d/_canister_gasoline_8c_source.html#l00067">CanisterGasoline.c:67</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="agroup___liquid_throughputs_html_ga41d7f73bd733b073db1e677f8aeb7af3"><div class="ttname"><a href="../../da/dc5/group___liquid_throughputs.html#ga41d7f73bd733b073db1e677f8aeb7af3">LIQUID_THROUGHPUT_GASOLINECANISTER</a></div><div class="ttdeci">const float LIQUID_THROUGHPUT_GASOLINECANISTER</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00506">constants.c:506</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_10f6392f0ea96a77d71bf5a7e1dc9fd9.html">Edible_Base</a></li><li class="navelem"><a class="el" href="../../dir_dc152a176c5e295648c45fe72ff2c66d.html">Bottle_Base</a></li><li class="navelem"><a class="el" href="../../d1/d8d/_canister_gasoline_8c.html">CanisterGasoline.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
